std::unordered_map::~unordered_map(3)

NAME
std::unordered_map::~unordered_map - std::unordered_map::~unordered_map

Synopsis
   ~unordered_map(); (since C++11)
   Destructs the unordered_map. The destructors of the elements are called and the used
   storage is deallocated. Note, that if the elements are pointers, the pointed-to
   objects are not destroyed.

Complexity
   Linear in the size of the unordered_map.